## firefox 47.0+build3

=== debian/changelog ===
firefox (47.0+build3-0ubuntu0.15.10.1) wily-security; urgency=medium

  * New upstream stable release (47.0build3)
    - see USN-2993-1

  [ Chris Coulson <chris.coulson@canonical.com> ]
  * Refresh patches:
    - update debian/patches/unity-menubar.patch
    - update debian/patches/support-coinstallable-trunk-build.patch
    - update debian/patches/allow-lockPref-everywhere.patch

  [ Rico Tzschichholz ]
  * Add Kaqchikel language pack
    - update debian/config/locales.all
    - update debian/config/locales.shipped
    - update debian/control
    - update debian/config/searchplugins.conf
  * Update debian/config/searchplugins.conf now that ja uses the en-US version
    of the Google search plugin

 -- Chris Coulson <chris.coulson@canonical.com>  Thu, 02 Jun 2016 21:15:53 +0100

firefox (46.0.1+build1-0ubuntu0.15.10.2) wily-security; urgency=medium

  * New upstream stable release (46.0.1build1)
    - see USN-2936-2

  * Update debian/config/searchplugins.conf now that ja uses the en-US version
    of the Google search plugin

 -- Chris Coulson <chris.coulson@canonical.com>  Wed, 04 May 2016 22:31:43 +0100

firefox (46.0+build5-0ubuntu0.15.10.2) wily-security; urgency=medium

  * New upstream stable release (46.0)
    - see USN-2936-1

  [ Chris Coulson <chris.coulson@canonical.com> ]
  * Fix an issue where we weren't building release builds with
    --enable-official-branding
  * Update debian/build/create-tarball.py to create release tarballs correctly
    after changes to the upstream release automation
  * Refresh patches
    - update debian/patches/webapprt-support-for-langpacks.patch
  * Stop using system hyphenation patterns for now - we only did this
    previously to fit on a CD, and a review of the mappings is long overdue
    - remove debian/patches/dont-include-hyphenation-patterns.patch
    - update debian/patches/series
    - update debian/firefox.links.in
    - update debian/vendor-gre.js
  * Drop libvpx-incomplete-array-paramters.patch - this bug was fixed in gcc
  * Add patch to revert an upstream search engine change that landed between
    the final beta and release

  [ Rico Tzschichholz ]
  * Build depend on libgtk-3-dev
    - update debian/control
  * Install the gtk2 directory
    - update debian/firefox.install.in

 -- Chris Coulson <chris.coulson@canonical.com>  Fri, 22 Apr 2016 19:38:38 +0100

firefox (45.0.2+build1-0ubuntu0.15.10.1) wily-security; urgency=medium

  * New upstream stable release (FIREFOX_45_0_2_BUILD1)
    - see USN-2917-3

 -- Chris Coulson <chris.coulson@canonical.com>  Wed, 13 Apr 2016 22:33:31 +0100

firefox (45.0.1+build1-0ubuntu0.15.10.2) wily-security; urgency=medium

  * New upstream stable release (FIREFOX_45_0_1_BUILD1)
    - see USN-2917-2

 -- Chris Coulson <chris.coulson@canonical.com>  Thu, 17 Mar 2016 09:26:37 +0000

firefox (45.0+build2-0ubuntu0.15.10.1) wily-security; urgency=medium

  * New upstream stable release (FIREFOX_45_0_BUILD2)
    - see USN-2917-1

  * Refresh patches:
    * update debian/patches/normalize-distribution-searchplugins.patch
    * update debian/patches/unity-menubar.patch
  * Drop debian/patches/cleanup-geo-specific-search-defaults.patch - this
    shouldn't be needed now
  * Update debian/firefox.install.in now that the theme is not unpacked
  * libmozgnome.so no longer exists - update debian/firefox.install.in
  * Enable Telemetry
    - update debian/build/create-tarball.py
    - update debian/config/branch.mk
    - update debian/rules
  * Add Guaraní language pack
    - update debian/config/locales.all
    - update debian/config/locales.shipped
    - update debian/control
    - uppdate debian/config/searchplugins.conf
  * Install the contents of browser/features
    - update debian/firefox.install.in

 -- Chris Coulson <chris.coulson@canonical.com>  Wed, 02 Mar 2016 20:43:45 +0000

firefox (44.0.2+build1-0ubuntu0.15.10.1) wily-security; urgency=medium

  * New upstream stable release (FIREFOX_44_0_2_BUILD1)
    - see USN-2893-1

 -- Chris Coulson <chris.coulson@canonical.com>  Tue, 09 Feb 2016 22:09:22 +0000

firefox (44.0.1+build2-0ubuntu0.15.10.1) wily-security; urgency=medium

  * New upstream stable release (FIREFOX_44_0_1_BUILD2)
    - Fix LP: 1538724 - Re-establish equivalence between gfxImageFormat and
      cairo_format_t

  * Update the DuckDuckGo search plugin

 -- Chris Coulson <chris.coulson@canonical.com>  Fri, 05 Feb 2016 01:02:56 +0000

firefox (44.0+build3-0ubuntu0.15.10.1) wily-security; urgency=medium

  * New upstream stable release (FIREFOX_44_0_BUILD3)
    - see USN-2880-1

  * Refresh patches
    - update debian/patches/unity-menubar.patch
    - update debian/patches/support-coinstallable-trunk-builds.patch
    - update debian/patches/ubuntu-ua-string-changes.patch
  * Amazon has been dropped from the Turkish language pack. Update
    debian/config/searchplugins.conf accordingly

 -- Chris Coulson <chris.coulson@canonical.com>  Fri, 22 Jan 2016 23:53:38 +0000

firefox (43.0.4+build3-0ubuntu0.15.10.1) wily-security; urgency=medium

  * New upstream stable release (FIREFOX_43_0_4_BUILD3)
    - Fix LP: #1527884 - Downloads fail in multi-user environments

  * Refresh debian/patches/ubuntu-ua-string-changes.patch

 -- Chris Coulson <chris.coulson@canonical.com>  Tue, 05 Jan 2016 22:41:35 +0000

firefox (43.0+build1-0ubuntu0.15.10.1) wily-security; urgency=medium

  * New upstream stable release (FIREFOX_43_0_BUILD1)
    - see USN-2833-1

  * Refresh patches
    - update debian/patches/ubuntu-ua-string-changes.patch
    - update debian/patches/unity-menubar.patch
  * Remove patches fixed upstream
    - remove debian/patches/dont-hardcode-softfp-on-armhf.patch
    - update debian/patches/series

 -- Chris Coulson <chris.coulson@canonical.com>  Thu, 10 Dec 2015 00:44:58 +0000

firefox (42.0+build2-0ubuntu0.15.10.1) wily-security; urgency=medium

  * New upstream release from the beta channel (FIREFOX_42_0_BUILD2)
    - see USN-2785-1

  * Refresh patches

