## firefox 49.0+build4

=== debian/changelog ===
firefox (49.0+build4-0ubuntu2) yakkety; urgency=medium

  * Drop the (unused) build dependency on hardening-wrapper. LP: #1620313.

 -- Matthias Klose <doko@ubuntu.com>  Wed, 28 Sep 2016 17:27:46 +0200
