=== debian/control ===
--- 
+++ 
@@ -26,9 +26,6 @@
 	libasound2-dev,
 	libcurl4-openssl-dev,
 	libdbus-glib-1-dev (>= 0.60),
-	libgstreamer1.0-dev | libgstreamer0.10-dev,
-	libgstreamer-plugins-base1.0-dev | libgstreamer-plugins-base0.10-dev,
-	hardening-wrapper,
 	lsb-release,
 	libiw-dev,
 	mesa-common-dev,
@@ -56,7 +53,7 @@
 	libdbusmenu-gtk4
 Provides: www-browser,
 	iceweasel,
-	gnome-www-browser,  
+	gnome-www-browser,
 	${app:Provides}
 Suggests: fonts-lyx,
 	${support:Suggests}
@@ -300,3 +297,8 @@
 Conflicts: ${app:Conflicts}
 Provides: ${app:Provides}
 Description: Catalan; Valencian language pack for Firefox
+ This package contains Catalan; Valencian translations and search plugins
+ for Firefox
+
+Package: firefox-locale-cak
+Architecture: any
