## firefox 50.1.0+build2

=== debian/control ===
--- 
+++ 
@@ -12,6 +12,7 @@
 	quilt,
 	zip,
 	libx11-dev,
+	libx11-xcb-dev,
 	libxt-dev,
 	libxext-dev,
 	libgtk2.0-dev (>= 2.14),
