## firefox 52.0.2+build1

=== debian/changelog ===
firefox (52.0.2+build1-0ubuntu0.12.04.1) precise-security; urgency=medium

  * New upstream stable release (52.0.2build1)
    - Really fix LP: #1671079 - Don't crash if LOGNAME is not set in the
      environment

  * Fix LP: #1671273 - Build with --enable-alsa for now to re-enable the
    unmaintained ALSA backend. Note that problems with the ALSA backend will
    not block future updates and Ubuntu flavors that ship without Pulseaudio
    need to participate in maintaining this code

 -- Chris Coulson <chris.coulson@canonical.com>  Wed, 29 Mar 2017 13:53:34 +0100

firefox (52.0.1+build2-0ubuntu0.12.04.1) precise-security; urgency=medium

  * New upstream stable release (52.0.1build2)
    - Fix LP: #1671079 - Don't crash if LOGNAME is not set in the environment

 -- Chris Coulson <chris.coulson@canonical.com>  Wed, 08 Mar 2017 16:00:56 +0000

firefox (52.0+build2-0ubuntu0.12.04.1) precise-security; urgency=medium

  * New upstream stable release (52.0build2)
    - see USN-3216-1

  [ Rico Tzschichholz ]
  * Update debian/patches/revert-upstream-search-engine-changes.patch
  * Unconditionally build-dep on libffi-dev
  * Drop */browser/components from firefox.install.in, browsercomps was merged
    into xul - https://hg.mozilla.org/mozilla-central/rev/4006b190b344

  [ Chris Coulson ]
  * Refresh patches
    - update debian/patches/unity-menubar.patch
    - update debian/patches/revert-upstream-search-engine-changes.patch
    - update debian/patches/ubuntu-bookmarks.patch

 -- Chris Coulson <chris.coulson@canonical.com>  Fri, 03 Mar 2017 00:41:39 +0000

firefox (51.0.1+build2-0ubuntu0.12.04.2) precise-security; urgency=medium

  * Fix LP: #1659922 - Fix Apparmor denials triggered by shared memory usage
    when e10s is enabled

 -- Chris Coulson <chris.coulson@canonical.com>  Wed, 01 Feb 2017 17:21:28 +0000

firefox (51.0.1+build2-0ubuntu0.12.04.1) precise-security; urgency=medium

  * New upstream stable release (51.0.1build2)
    - see USN-3175-1

  [ Chris Coulson ]
  * Refresh patches:
    - update debian/patches/support-coinstallable-trunk-build.patch
    - update debian/patches/unity-menubar.patch
  * Remove unused --with-google-oauth-keyfile option
    - update debian/config/mozconfig.in
    - remove debian/go

  [ Rico Tzschichholz ]
  * Refresh patches:
    - update debian/patches/ubuntu-search-defaults.patch
  * Add Kabyle language pack
    - update debian/config/locales.all
    - update debian/config/locales.shipped
    - update debian/control

 -- Chris Coulson <chris.coulson@canonical.com>  Thu, 19 Jan 2017 17:56:12 +0000

firefox (50.1.0+build2-0ubuntu0.12.04.1) precise-security; urgency=medium

  * New upstream stable release (50.1.0build2)
    - see USN-3155-1

 -- Chris Coulson <chris.coulson@canonical.com>  Thu, 08 Dec 2016 20:50:24 +0000

firefox (50.0.2+build1-0ubuntu0.12.04.1) precise-security; urgency=medium

  * New upstream stable release (50.0.2build1)
    - see USN-3140-1

 -- Chris Coulson <chris.coulson@canonical.com>  Wed, 30 Nov 2016 09:24:20 +0000

firefox (50.0+build2-0ubuntu0.12.04.2) precise-security; urgency=medium

  * New upstream stable release (50.0build2)
    - see USN-3124-1

  [ Chris Coulson ]
  * Refresh patches:
    - update debian/patches/allow-lockPref-everywhere.patch
    - update debian/patches/support-coinstallable-trunk-build.patch
  * Fix an issue in debian/distribution.ini that was causing malformed URLs
    to be sent to Mozilla services

  [ Rico Tzschichholz ]
  * Add build-dep on libx11-xcb-dev

 -- Chris Coulson <chris.coulson@canonical.com>  Mon, 14 Nov 2016 14:12:39 +0000

firefox (49.0.2+build2-0ubuntu0.12.04.1) precise-security; urgency=medium

  * New upstream stable release (49.0.2build2)
    - see USN-3111-1

 -- Chris Coulson <chris.coulson@canonical.com>  Tue, 25 Oct 2016 17:02:01 +0100

firefox (49.0+build4-0ubuntu0.12.04.1) precise-security; urgency=medium

  * New upstream stable release (49.0build4)
    - see USN-3076-1

  [ Chris Coulson ] 
  * Ensure we generate all of the required checksum files for FIPS mode
    to work correctly
    - update debian/build/rukes.mk
  * Refresh patches:
    - update debian/patches/allow-lockPref-everywhere.patch
    - update debian/patches/unity-menubar.patch

  [Chad MILLER]
  * Update GOOGLE API keys for Ubuntu distro.

 -- Chris Coulson <chris.coulson@canonical.com>  Mon, 12 Sep 2016 13:06:57 +0100

firefox (48.0+build2-0ubuntu0.12.04.1) precise-security; urgency=medium

  * New upstream stable release (48.0build2)
    - see USN-3044-1

  * Refresh patches
    - update debian/patches/support-coinstallable-trunk-build.patch
    - update debian/patches/unity-menubar.patch
  * Remove obsolete configure options from debian/config/mozconfig.in
  * Drop gstreamer build dependencies - gstreamer support was removed
    before Christmas
  * Drop everything related to the webapp runtime, which has been removed
    - update debian/firefox.dirs.in
    - update debian/firefox.install.in
    - update debian/patches/series
    - remove ebian/patches/webapprt-support-for-langpacks.patch
    - update debian/rules
    - remove debian/vendor-webapprt.js
  * Add patch to revert an upstream search engine change
  * Add ICU data file to the install
  * Fix build failure with gcc-mozilla due to upstream changes
    - add debian/patches/dont-treat-tilde-as-special.patch
    - update debian/patches/series
    - update debian/build/rules.mk

 -- Chris Coulson <chris.coulson@canonical.com>  Thu, 28 Jul 2016 21:26:49 +0100

firefox (47.0.1+build1-0ubuntu0.12.04.1) precise-security; urgency=medium

  * New upstream stable release (47.0.1build1)
    - see USN-2993-2

 -- Chris Coulson <chris.coulson@canonical.com>  Tue, 28 Jun 2016 21:07:14 +0100

firefox (47.0+build3-0ubuntu0.12.04.1) precise-security; urgency=medium

  * New upstream stable release (47.0build3)
    - see USN-2993-1

  [ Chris Coulson <chris.coulson@canonical.com> ]
  * Refresh patches:
    - update debian/patches/unity-menubar.patch

